﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using Telerik.Windows.Controls.ChartView;
using Telerik.Windows.Controls;
using Telerik.Charting;
using System.Windows.Threading;
using ChartDataSources_SL;
using System.Collections.ObjectModel;
using Telerik.Windows.Data;
using System.ComponentModel;

namespace ChartViewDevelopment_WPF
{
    /// <summary>
    /// Interaction logic for WBLine.xaml
    /// </summary>
    public partial class WBLine2 : UserControl
    {

        /// <summary>
        /// Identifies the <see cref="Data"/> dependency property.
        /// </summary>
        public static readonly DependencyProperty DataProperty = DependencyProperty.Register("Data",
            typeof(ObservableCollection<MyObj>),
            typeof(WBLine2),
            new PropertyMetadata(null));

        public ObservableCollection<MyObj> Data
        {
            get
            {
                return (ObservableCollection<MyObj>)this.GetValue(DataProperty);
            }
            set
            {
                this.SetValue(DataProperty, value);
            }
        }

        int initialCount = 500000;
        Random r = new Random();
        int counter = 0;
        public WBLine2()
        {
            InitializeComponent();
            this.DataContext = this;
            this.Data = new ObservableCollection<MyObj>();

            for (int i = 0; i < initialCount; i++)
            {
                this.AddItem();
            }

        }

      
        private void AddItem()
        {
            counter++;
            double value = r.Next(1800, 2000);
            this.Data.Add(new MyObj() { Category = counter.ToString(), Value = value });
        }
    }

    public class MyObj : INotifyPropertyChanged
    {
        public string Category { get; set; }
        public double? Value { get; set; }
        public double XValue { get; set; }

        private double? _Value2;
        public double? Value2
        {
            get
            {
                return this._Value2;
            }
            set
            {
                if (this._Value2 != value)
                {
                    this._Value2 = value;
                    this.OnPropertyChanged("Value2");
                }
            }
        }

        private void OnPropertyChanged(string propertyName)
        {
            PropertyChangedEventHandler eh = this.PropertyChanged;
            if (eh != null)
                eh(this, new PropertyChangedEventArgs(propertyName));
        }

        public event PropertyChangedEventHandler PropertyChanged;


    }

}
